/bamboohr-time | Type: Application | PCID required: Yes
Tools
bamboohr_time_adjust_time_off_balance
Adjust Time Off Balance Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee. |
amount | number | No | — | The number of hours/days to adjust the balance by. |
date | string | No | — | The date the adjustment should be added in history. Should be in ISO8601 date format (YYYY-MM-DD). |
note | string | No | — | This is an optional note to show in history. |
timeOffTypeId | integer | No | — | The ID of the time off type to add a balance adjustment for. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
},
"amount": {
"type": "number",
"description": "The number of hours/days to adjust the balance by."
},
"date": {
"type": "string",
"description": "The date the adjustment should be added in history. Should be in ISO8601 date format (YYYY-MM-DD)."
},
"note": {
"type": "string",
"description": "This is an optional note to show in history."
},
"timeOffTypeId": {
"type": "integer",
"description": "The ID of the time off type to add a balance adjustment for."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_assign_employees_to_break_policy
Assign Employees to Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
employeeIds | integer[] | Yes | — | Array of employee IDs to assign to the break policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of employee IDs to assign to the break policy"
}
},
"required": [
"PCID",
"id",
"employeeIds"
]
}
bamboohr_time_assign_time_off_policies
Assign Time Off Policies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee to assign policies to. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee to assign policies to."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timeOffPolicyId": {
"type": "integer",
"description": "The ID of the time off policy to assign."
},
"accrualStartDate": {
"type": "string",
"format": "date",
"description": "The date accruals should start in YYYY-MM-DD format. Set to null to remove an existing assignment."
}
},
"required": [
"timeOffPolicyId",
"accrualStartDate"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"employeeId",
"body"
]
}
bamboohr_time_assign_time_off_policies_v1_1
Assign Time Off Policies v1.1 Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee to assign policies to. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee to assign policies to."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timeOffPolicyId": {
"type": "integer",
"description": "The ID of the time off policy to assign."
},
"accrualStartDate": {
"type": "string",
"format": "date",
"description": "The date accruals should start in YYYY-MM-DD format. Set to null to remove an existing assignment."
}
},
"required": [
"timeOffPolicyId",
"accrualStartDate"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"employeeId",
"body"
]
}
bamboohr_time_create_break
Create Break Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | string | Yes | — | The break policy ID. | |
availabilityEndTime | string | null | No | — | Latest time the break can be taken (HH:MM format) |
availabilityMaxHoursWorked | number | null | No | — | Maximum hours that can be worked before the break must be taken |
availabilityMinHoursWorked | number | null | No | — | Minimum hours that must be worked before the break can be taken |
availabilityStartTime | string | null | No | — | Earliest time the break can be taken (HH:MM format) |
availabilityType | object | No | — | When the break is available to be taken | |
duration | integer | No | — | Duration of the break in minutes | |
name | string | No | — | The name of the break | |
paid | boolean | No | — | Whether the break is paid | |
policyId | string | No | — | The unique identifier of the break policy this break belongs to |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"availabilityEndTime": {
"type": [
"string",
"null"
],
"description": "Latest time the break can be taken (HH:MM format)"
},
"availabilityMaxHoursWorked": {
"type": [
"number",
"null"
],
"description": "Maximum hours that can be worked before the break must be taken"
},
"availabilityMinHoursWorked": {
"type": [
"number",
"null"
],
"description": "Minimum hours that must be worked before the break can be taken"
},
"availabilityStartTime": {
"type": [
"string",
"null"
],
"description": "Earliest time the break can be taken (HH:MM format)"
},
"availabilityType": {
"description": "When the break is available to be taken",
"enum": [
"anytime",
"hours_worked",
"time_of_day"
]
},
"duration": {
"type": "integer",
"description": "Duration of the break in minutes"
},
"name": {
"type": "string",
"description": "The name of the break"
},
"paid": {
"type": "boolean",
"description": "Whether the break is paid"
},
"policyId": {
"type": "string",
"description": "The unique identifier of the break policy this break belongs to"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_create_break_policy
Create Break Policy Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
allEmployeesAssigned | boolean | No | — | Whether all employees are assigned to this break policy | |
breaks | object[] | No | — | Collection of time tracking breaks to create or update without a policy | |
description | string | null | No | — | Optional description of the break policy |
employeeIds | integer[] | No | — | The employees that should be assigned to this policy | |
name | string | Yes | — | Name of the break policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"allEmployeesAssigned": {
"type": "boolean",
"description": "Whether all employees are assigned to this break policy"
},
"breaks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The unique identifier of the break. If not included, a new break will be created."
},
"name": {
"type": "string",
"description": "The name of the break"
},
"paid": {
"type": "boolean",
"description": "Whether the break is paid"
},
"duration": {
"type": "integer",
"description": "Duration of the break in minutes"
},
"availabilityType": {
"enum": [
"anytime",
"hours_worked",
"time_of_day"
],
"description": "When the break is available to be taken"
},
"availabilityMinHoursWorked": {
"type": "number",
"format": "float",
"description": "Minimum hours that must be worked before the break can be taken"
},
"availabilityMaxHoursWorked": {
"type": "number",
"format": "float",
"description": "Maximum hours that can be worked before the break must be taken"
},
"availabilityStartTime": {
"type": "string",
"format": "time",
"description": "Earliest time the break can be taken (HH:MM format)"
},
"availabilityEndTime": {
"type": "string",
"format": "time",
"description": "Latest time the break can be taken (HH:MM format)"
}
}
},
"description": "Collection of time tracking breaks to create or update without a policy"
},
"description": {
"type": [
"string",
"null"
],
"description": "Optional description of the break policy"
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The employees that should be assigned to this policy"
},
"name": {
"type": "string",
"description": "Name of the break policy"
}
},
"required": [
"PCID",
"name"
]
}
bamboohr_time_create_or_update_time_tracking_hour_records
Create or Update Hour Records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"timeTrackingId": {
"type": "string",
"description": "A unique identifier for the record. Use this ID to adjust or delete these hours. It can be any ID you use to track the record up to 36 characters in length. (i.e. UUID)."
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
},
"divisionId": {
"type": "integer",
"description": "[Optional] The ID of the division for the employee."
},
"departmentId": {
"type": "integer",
"description": "[Optional] The ID of the department for the employee."
},
"jobTitleId": {
"type": "integer",
"description": "[Optional] The ID of the job title for the employee."
},
"payCode": {
"type": "string",
"description": "[Optional] Only necessary if the payroll provider requires a pay code"
},
"dateHoursWorked": {
"type": "string",
"description": "The date the hours were worked. Please use the ISO-8601 date format YYYY-MM-DD."
},
"payRate": {
"type": "number",
"description": "[Optional] The rate of pay. e.g. $15.00/hour should use 15.00 here. Only necessary if the payroll provider requires a pay rate."
},
"rateType": {
"type": "string",
"description": "The type of hours - regular or overtime. Please use either \"REG\", \"OT\", or \"DT\" here."
},
"hoursWorked": {
"type": "number",
"description": "The number of hours worked."
},
"jobCode": {
"type": "integer",
"description": "[Optional] A job code."
},
"jobData": {
"type": "string",
"description": "[Optional] A list of up to four 20 characters max job numbers in comma delimited format with no spaces."
}
},
"required": [
"dateHoursWorked",
"employeeId",
"hoursWorked",
"rateType",
"timeTrackingId"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
bamboohr_time_create_or_update_timesheet_clock_entries
Create or Update Timesheet Clock Entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
entries | object[] | Yes | — | Array of clock entries |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"entries": {
"type": "array",
"items": {
"type": "object",
"properties": {
"employeeId": {
"type": "integer",
"description": "Unique identifier for the employee."
},
"date": {
"type": "string",
"format": "date",
"description": "Date for the timesheet entry. Must be in YYYY-MM-DD format."
},
"start": {
"type": "string",
"description": "Start time for the timesheet entry. Local time for the employee. Must be in hh:mm 24 hour format."
},
"end": {
"type": "string",
"description": "End time for the timesheet entry. Local time for the employee. Must be in hh:mm 24 hour format."
},
"id": {
"type": "integer",
"description": "The ID of an existing timesheet entry. This can be specified to edit an existing entry."
},
"projectId": {
"type": "integer",
"description": "The ID of the project to associate with the timesheet entry."
},
"taskId": {
"type": "integer",
"description": "The ID of the task to associate with the timesheet entry."
},
"note": {
"type": "string",
"description": "Optional note to associate with the timesheet entry."
},
"breakId": {
"type": "string",
"format": "uuid",
"description": "Optional break id to associate with the timesheet entry."
}
},
"required": [
"employeeId",
"date",
"start",
"end"
]
},
"description": "Array of clock entries"
}
},
"required": [
"PCID",
"entries"
]
}
bamboohr_time_create_or_update_timesheet_hour_entries
Create or Update Timesheet Hour Entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hours | object[] | Yes | — | Array of hour entries to add or update |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hours": {
"type": "array",
"items": {
"type": "object",
"properties": {
"employeeId": {
"type": "integer",
"description": "Unique identifier for the employee"
},
"date": {
"type": "string",
"format": "date",
"description": "Date for the timesheet entry. Must be in YYYY-MM-DD format"
},
"hours": {
"type": "number",
"format": "float",
"description": "Hours worked for this timesheet entry"
},
"id": {
"type": "integer",
"description": "The ID of an existing timesheet entry. This can be specified to edit an existing entry"
},
"projectId": {
"type": "integer",
"description": "The ID of the project to associate with the timesheet entry"
},
"taskId": {
"type": "integer",
"description": "The ID of the task to associate with the timesheet entry"
},
"note": {
"type": "string",
"description": "Optional note to associate with the timesheet entry"
}
}
},
"description": "Array of hour entries to add or update"
}
},
"required": [
"PCID",
"hours"
]
}
bamboohr_time_create_time_off_history
Create Time Off History Item Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee. |
amount | number | No | — | The number of hours/days to record. Required when eventType is override. |
date | string | No | — | The date for the history item in YYYY-MM-DD format. |
eventType | string | No | — | The type of history event. Defaults to used for the /history path and override for the /balance_adjustment path when omitted. |
note | string | No | — | An optional note to show in history. |
timeOffRequestId | integer | No | — | The ID of an approved time off request. Required when eventType is used. |
timeOffTypeId | integer | No | — | The ID of the time off type. Required when eventType is override. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
},
"amount": {
"type": "number",
"description": "The number of hours/days to record. Required when eventType is `override`."
},
"date": {
"type": "string",
"description": "The date for the history item in YYYY-MM-DD format."
},
"eventType": {
"type": "string",
"description": "The type of history event. Defaults to `used` for the /history path and `override` for the /balance_adjustment path when omitted.",
"enum": [
"used",
"override"
]
},
"note": {
"type": "string",
"description": "An optional note to show in history."
},
"timeOffRequestId": {
"type": "integer",
"description": "The ID of an approved time off request. Required when eventType is `used`."
},
"timeOffTypeId": {
"type": "integer",
"description": "The ID of the time off type. Required when eventType is `override`."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_create_time_off_request
Create Time Off Request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee to create the time off request for. |
amount | number | No | — | Total hours or days requested. Ignored when dates array is provided (sum of daily amounts is used instead). |
dates | object[] | No | — | Optional per-day breakdown. When provided, the top-level amount is ignored and the sum of daily amounts is used. |
end | string | No | — | End date in YYYY-MM-DD format. Must be on or after the start date. |
notes | object[] | No | — | Optional notes from the employee or manager. |
previousRequest | integer | No | — | The ID of a previous time off request to supersede. The previous request will be cancelled. |
start | string | No | — | Start date in YYYY-MM-DD format. |
status | string | No | — | The initial status of the request. |
timeOffTypeId | integer | No | — | The ID of the time off type for this request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee to create the time off request for."
},
"amount": {
"type": "number",
"description": "Total hours or days requested. Ignored when `dates` array is provided (sum of daily amounts is used instead)."
},
"dates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ymd": {
"type": "string",
"format": "date",
"description": "Date in YYYY-MM-DD format."
},
"amount": {
"type": "number",
"description": "Hours or days for this date."
}
}
},
"description": "Optional per-day breakdown. When provided, the top-level `amount` is ignored and the sum of daily amounts is used."
},
"end": {
"type": "string",
"description": "End date in YYYY-MM-DD format. Must be on or after the start date."
},
"notes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"from": {
"type": "string",
"enum": [
"employee",
"manager"
],
"description": "Who the note is from."
},
"note": {
"type": "string",
"description": "The note text."
}
}
},
"description": "Optional notes from the employee or manager."
},
"previousRequest": {
"type": "integer",
"description": "The ID of a previous time off request to supersede. The previous request will be cancelled."
},
"start": {
"type": "string",
"description": "Start date in YYYY-MM-DD format."
},
"status": {
"type": "string",
"description": "The initial status of the request.",
"enum": [
"approved",
"denied",
"declined",
"requested"
]
},
"timeOffTypeId": {
"type": "integer",
"description": "The ID of the time off type for this request."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_create_time_tracking_hour_record
Create Hour Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dateHoursWorked | string | Yes | — | The date the hours were worked. Please use the ISO-8601 date format YYYY-MM-DD. |
departmentId | integer | No | — | [Optional] The ID of the department for the employee. |
divisionId | integer | No | — | [Optional] The ID of the division for the employee. |
employeeId | integer | Yes | — | The ID of the employee. |
hoursWorked | number | Yes | — | The number of hours worked. |
jobCode | integer | No | — | [Optional] A job code. |
jobData | string | No | — | [Optional] A list of up to four 20 characters max job numbers in comma delimited format with no spaces. |
jobTitleId | integer | No | — | [Optional] The ID of the job title for the employee. |
payCode | string | No | — | [Optional] Only necessary if the payroll provider requires a pay code |
payRate | number | No | — | [Optional] The rate of pay. e.g. $15.00/hour should use 15.00 here. Only necessary if the payroll provider requires a pay rate. |
rateType | string | Yes | — | The type of hours - regular or overtime. Please use either “REG”, “OT”, or “DT” here. |
timeTrackingId | string | Yes | — | A unique identifier for the record. Use this ID to adjust or delete these hours. It can be any ID you use to track the record up to 36 characters in length. (i.e. UUID). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"dateHoursWorked": {
"type": "string",
"description": "The date the hours were worked. Please use the ISO-8601 date format YYYY-MM-DD."
},
"departmentId": {
"type": "integer",
"description": "[Optional] The ID of the department for the employee."
},
"divisionId": {
"type": "integer",
"description": "[Optional] The ID of the division for the employee."
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
},
"hoursWorked": {
"type": "number",
"description": "The number of hours worked."
},
"jobCode": {
"type": "integer",
"description": "[Optional] A job code."
},
"jobData": {
"type": "string",
"description": "[Optional] A list of up to four 20 characters max job numbers in comma delimited format with no spaces."
},
"jobTitleId": {
"type": "integer",
"description": "[Optional] The ID of the job title for the employee."
},
"payCode": {
"type": "string",
"description": "[Optional] Only necessary if the payroll provider requires a pay code"
},
"payRate": {
"type": "number",
"description": "[Optional] The rate of pay. e.g. $15.00/hour should use 15.00 here. Only necessary if the payroll provider requires a pay rate."
},
"rateType": {
"type": "string",
"description": "The type of hours - regular or overtime. Please use either \"REG\", \"OT\", or \"DT\" here."
},
"timeTrackingId": {
"type": "string",
"description": "A unique identifier for the record. Use this ID to adjust or delete these hours. It can be any ID you use to track the record up to 36 characters in length. (i.e. UUID)."
}
},
"required": [
"PCID",
"dateHoursWorked",
"employeeId",
"hoursWorked",
"rateType",
"timeTrackingId"
]
}
bamboohr_time_create_time_tracking_project
Create Time Tracking Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allowAllEmployees | boolean | No | — | Indicates if all employees can log time for this project. Defaults to true if not provided. |
billable | boolean | No | — | Indicates if the project is billable. Defaults to true if not provided. |
employeeIds | integer[] | No | — | A list of employee IDs that can log time for this project. Only used when allowAllEmployees is false. |
hasTasks | boolean | No | — | Indicates if the project has tasks. Defaults to false if not provided. |
name | string | Yes | — | Name of the project. Must be unique and no more than 50 characters. |
tasks | object[] | No | — | List of tasks to create and associate with the project. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"allowAllEmployees": {
"type": "boolean",
"description": "Indicates if all employees can log time for this project. Defaults to true if not provided."
},
"billable": {
"type": "boolean",
"description": "Indicates if the project is billable. Defaults to true if not provided."
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "A list of employee IDs that can log time for this project. Only used when `allowAllEmployees` is false."
},
"hasTasks": {
"type": "boolean",
"description": "Indicates if the project has tasks. Defaults to false if not provided."
},
"name": {
"type": "string",
"description": "Name of the project. Must be unique and no more than 50 characters."
},
"tasks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the task."
},
"billable": {
"type": "boolean",
"description": "Indicates if the task is billable. Defaults to true if not provided."
}
},
"required": [
"name"
]
},
"description": "List of tasks to create and associate with the project."
}
},
"required": [
"PCID",
"name"
]
}
bamboohr_time_create_timesheet_clock_in_entry
Create Timesheet Clock-In Entry Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
employeeId | integer | Yes | — | ID of the employee to clock in. | |
breakId | string | null | No | — | ID of the break that should be associated with the timesheet entry. |
date | string | null | No | — | Date for the timesheet entry. Must be in YYYY-MM-DD format. |
note | string | null | No | — | The note that should be associated with the timesheet entry |
offline | boolean | No | — | Whether this is an offline punch. When true, bypasses the shift schedule clock-in restriction. Intended for devices that store punches offline and sync later. | |
projectId | integer | null | No | — | ID of the time tracking project that should be associated with the timesheet entry. Required if taskId is specified. |
start | string | null | No | — | The time for the clock in. In 24 hour format HH:MM |
taskId | integer | null | No | — | ID of the time tracking task that should be associated with the timesheet entry. |
timezone | string | null | No | — | The timezone associated with the clock in. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "ID of the employee to clock in."
},
"breakId": {
"type": [
"string",
"null"
],
"description": "ID of the break that should be associated with the timesheet entry."
},
"date": {
"type": [
"string",
"null"
],
"description": "Date for the timesheet entry. Must be in YYYY-MM-DD format."
},
"note": {
"type": [
"string",
"null"
],
"description": "The note that should be associated with the timesheet entry"
},
"offline": {
"type": "boolean",
"description": "Whether this is an offline punch. When true, bypasses the shift schedule clock-in restriction. Intended for devices that store punches offline and sync later."
},
"projectId": {
"type": [
"integer",
"null"
],
"description": "ID of the time tracking project that should be associated with the timesheet entry. Required if taskId is specified."
},
"start": {
"type": [
"string",
"null"
],
"description": "The time for the clock in. In 24 hour format HH:MM"
},
"taskId": {
"type": [
"integer",
"null"
],
"description": "ID of the time tracking task that should be associated with the timesheet entry."
},
"timezone": {
"type": [
"string",
"null"
],
"description": "The timezone associated with the clock in."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_create_timesheet_clock_out_entry
Create Timesheet Clock-Out Entry Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | ID of the employee to clock out. |
date | string | No | — | Date for the timesheet entry. Must be in YYYY-MM-DD format. |
end | string | No | — | The time for the clock out. In 24 hour format HH:MM |
timezone | string | No | — | The timezone associated with the clock out. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "ID of the employee to clock out."
},
"date": {
"type": "string",
"description": "Date for the timesheet entry. Must be in YYYY-MM-DD format."
},
"end": {
"type": "string",
"description": "The time for the clock out. In 24 hour format HH:MM"
},
"timezone": {
"type": "string",
"description": "The timezone associated with the clock out."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_delete_break
Delete Break Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break ID."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_delete_break_policy
Delete Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_delete_timesheet_clock_entries_via_post
Delete Timesheet Clock Entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
clockEntryIds | integer[] | Yes | — | Array of clock entry IDs to process |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"clockEntryIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of clock entry IDs to process"
}
},
"required": [
"PCID",
"clockEntryIds"
]
}
bamboohr_time_delete_timesheet_hour_entries_via_post
Delete Timesheet Hour Entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hourEntryIds | integer[] | Yes | — | Array of hour entry IDs to process |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hourEntryIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of hour entry IDs to process"
}
},
"required": [
"PCID",
"hourEntryIds"
]
}
bamboohr_time_delete_tracking_hour_record
Delete Hour Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The time tracking id is the id that was used to track the record up to 36 characters in length. (i.e. UUID). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The time tracking id is the id that was used to track the record up to 36 characters in length. (i.e. UUID)."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_get_break
Get Break Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break ID."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_get_break_policy
Get Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
includeCounts | boolean | No | — | Include employee and break counts |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"includeCounts": {
"type": "boolean",
"description": "Include employee and break counts"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_get_off_balance
Get Time Off Balance Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
end | string | No | — | The date to calculate the time off balance as of, in YYYY-MM-DD format. Defaults to company today if not provided. Example: use a future date to project balance. |
precision | integer | No | — | Number of decimal places for balance and usedYearToDate values. Minimum 0, maximum 4. Defaults to 2. |
employeeId | integer | Yes | — | The ID of the employee to get time off balances for. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"end": {
"type": "string",
"description": "The date to calculate the time off balance as of, in YYYY-MM-DD format. Defaults to company today if not provided. Example: use a future date to project balance."
},
"precision": {
"type": "integer",
"description": "Number of decimal places for balance and usedYearToDate values. Minimum 0, maximum 4. Defaults to 2."
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee to get time off balances for."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_get_tracking_record
Get Time Tracking Record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The time tracking record ID used to originally create the record. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The time tracking record ID used to originally create the record."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_list_break_assessments
List Break Assessments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
offset | integer | No | — | Number of items to skip before returning results. Defaults to 0. |
limit | integer | No | — | Maximum number of items to return. Defaults to 100. Maximum is 500. |
filter | string | No | — | OData v4 filter expression. Filterable fields: id, breakId, employeeId, employeeTimesheetId, date, result, availableYmdt, unavailableYmdt, createdAt, updatedAt, expectedDuration, recordedDuration, durationDifference. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"offset": {
"type": "integer",
"description": "Number of items to skip before returning results. Defaults to 0."
},
"limit": {
"type": "integer",
"description": "Maximum number of items to return. Defaults to 100. Maximum is 500."
},
"filter": {
"type": "string",
"description": "OData v4 filter expression. Filterable fields: `id`, `breakId`, `employeeId`, `employeeTimesheetId`, `date`, `result`, `availableYmdt`, `unavailableYmdt`, `createdAt`, `updatedAt`, `expectedDuration`, `recordedDuration`, `durationDifference`."
}
},
"required": [
"PCID"
]
}
bamboohr_time_list_break_policies
List Break Policies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
offset | integer | No | — | The offset of items to retrieve |
limit | integer | No | — | The maximum items to retrieve |
filter | string | No | — | Filter by an OData (Open Data Protocol) v4 specification |
includeCounts | boolean | No | — | Include employee and break counts |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"offset": {
"type": "integer",
"description": "The offset of items to retrieve"
},
"limit": {
"type": "integer",
"description": "The maximum items to retrieve"
},
"filter": {
"type": "string",
"description": "Filter by an OData (Open Data Protocol) v4 specification"
},
"includeCounts": {
"type": "boolean",
"description": "Include employee and break counts"
}
},
"required": [
"PCID"
]
}
bamboohr_time_list_break_policy_breaks
List Breaks for Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
offset | integer | No | — | The offset of items to retrieve |
limit | integer | No | — | The maximum items to retrieve |
filter | string | No | — | Filter by an OData (Open Data Protocol) v4 specification |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"offset": {
"type": "integer",
"description": "The offset of items to retrieve"
},
"limit": {
"type": "integer",
"description": "The maximum items to retrieve"
},
"filter": {
"type": "string",
"description": "Filter by an OData (Open Data Protocol) v4 specification"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_list_break_policy_employees
List Break Policy Employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
offset | integer | No | — | The offset of items to retrieve |
limit | integer | No | — | The maximum items to retrieve |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"offset": {
"type": "integer",
"description": "The offset of items to retrieve"
},
"limit": {
"type": "integer",
"description": "The maximum items to retrieve"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_list_employee_break_availabilities
List Employee Break Availabilities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The employee ID. |
effective | string | No | — | The employee’s local time that should be used to calculate availability. Defaults to the current time. Must be in Y-m-d\TH:i:s format (no timezone offset). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The employee ID."
},
"effective": {
"type": "string",
"description": "The employee's local time that should be used to calculate availability. Defaults to the current time. Must be in Y-m-d\\TH:i:s format (no timezone offset)."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_list_employee_break_policies
List Employee Break Policies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The employee ID. |
offset | integer | No | — | The number of items to skip before starting to collect the result set. Minimum 0. Defaults to 0. |
limit | integer | No | — | The maximum number of items to return. Must be between 0 and 500. Defaults to 100. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "The employee ID."
},
"offset": {
"type": "integer",
"description": "The number of items to skip before starting to collect the result set. Minimum 0. Defaults to 0."
},
"limit": {
"type": "integer",
"description": "The maximum number of items to return. Must be between 0 and 500. Defaults to 100."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_list_employee_time_off_policies
List Employee Time Off Policies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_list_employee_time_off_policies_v1_1
List Employee Time Off Policies v1.1 Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | integer | Yes | — | The ID of the employee. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "integer",
"description": "The ID of the employee."
}
},
"required": [
"PCID",
"employeeId"
]
}
bamboohr_time_list_time_off_policies
List Time Off Policies Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
}
},
"required": [
"PCID"
]
}
bamboohr_time_list_time_off_requests
List Time Off Requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
id | integer | No | — | A particular request ID to limit the response to. |
action | string | No | — | Limit to requests the caller can view, requests they can approve, or only their own requests via myRequests. Defaults to view. |
employeeId | integer | No | — | A particular employee ID to limit the response to. |
start | string | Yes | — | Only include requests that end on or after this date. YYYY-MM-DD format. |
end | string | Yes | — | Only include requests that start on or before this date. YYYY-MM-DD format. |
type | string | No | — | A comma-separated list of time off type IDs to filter by. If omitted, requests of all types are included. |
status | string | No | — | A comma-separated list of request status values to filter by. Accepted values are approved, denied, superceded, requested, and canceled. If omitted, requests of all statuses are included. |
excludeNote | string | No | — | When set to any truthy value, omits the notes object from each request in the response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"id": {
"type": "integer",
"description": "A particular request ID to limit the response to."
},
"action": {
"type": "string",
"description": "Limit to requests the caller can `view`, requests they can `approve`, or only their own requests via `myRequests`. Defaults to `view`.",
"enum": [
"view",
"approve",
"myRequests"
]
},
"employeeId": {
"type": "integer",
"description": "A particular employee ID to limit the response to."
},
"start": {
"type": "string",
"description": "Only include requests that end on or after this date. YYYY-MM-DD format."
},
"end": {
"type": "string",
"description": "Only include requests that start on or before this date. YYYY-MM-DD format."
},
"type": {
"type": "string",
"description": "A comma-separated list of time off type IDs to filter by. If omitted, requests of all types are included."
},
"status": {
"type": "string",
"description": "A comma-separated list of request status values to filter by. Accepted values are approved, denied, superceded, requested, and canceled. If omitted, requests of all statuses are included."
},
"excludeNote": {
"type": "string",
"description": "When set to any truthy value, omits the `notes` object from each request in the response."
}
},
"required": [
"PCID",
"start",
"end"
]
}
bamboohr_time_list_time_off_types
List Time Off Types Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
mode | string | No | — | Set to request to limit the results to time off types the authenticated employee can request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"mode": {
"type": "string",
"description": "Set to `request` to limit the results to time off types the authenticated employee can request.",
"enum": [
"request"
]
}
},
"required": [
"PCID"
]
}
bamboohr_time_list_timesheet_entries
List Timesheet Entries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | Yes | — | YYYY-MM-DD. Only show timesheet entries on/after the specified start date. Must be within the last 365 days. |
end | string | Yes | — | YYYY-MM-DD. Only show timesheet entries on/before the specified end date. Must be within the last 365 days. |
employeeIds | string | No | — | A comma separated list of employee IDs. When specified, only entries that match these employee IDs are returned. When omitted, entries for all accessible employees are returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start": {
"type": "string",
"description": "YYYY-MM-DD. Only show timesheet entries on/after the specified start date. Must be within the last 365 days."
},
"end": {
"type": "string",
"description": "YYYY-MM-DD. Only show timesheet entries on/before the specified end date. Must be within the last 365 days."
},
"employeeIds": {
"type": "string",
"description": "A comma separated list of employee IDs. When specified, only entries that match these employee IDs are returned. When omitted, entries for all accessible employees are returned."
}
},
"required": [
"PCID",
"start",
"end"
]
}
bamboohr_time_list_whos_out
List Who’s Out Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AcceptHeaderParameter | string | No | — | This endpoint can produce either JSON or XML. |
start | string | No | — | Start date in YYYY-MM-DD format. Defaults to today. |
end | string | No | — | End date in YYYY-MM-DD format. Defaults to 14 days after the start date. |
filter | string | No | — | Set to off to disable the Who’s Out visibility filter and return the unfiltered feed. Any other value leaves filtering enabled. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AcceptHeaderParameter": {
"type": "string",
"description": "This endpoint can produce either JSON or XML.",
"enum": [
"application/xml",
"application/json"
]
},
"start": {
"type": "string",
"description": "Start date in YYYY-MM-DD format. Defaults to today."
},
"end": {
"type": "string",
"description": "End date in YYYY-MM-DD format. Defaults to 14 days after the start date."
},
"filter": {
"type": "string",
"description": "Set to `off` to disable the Who's Out visibility filter and return the unfiltered feed. Any other value leaves filtering enabled.",
"enum": [
"off"
]
}
},
"required": [
"PCID"
]
}
bamboohr_time_replace_breaks_for_break_policy
Replace Breaks for Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
body | object[] | Yes | — | Collection of time tracking breaks to create or update without a policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The unique identifier of the break. If not included, a new break will be created."
},
"name": {
"type": "string",
"description": "The name of the break"
},
"paid": {
"type": "boolean",
"description": "Whether the break is paid"
},
"duration": {
"type": "integer",
"description": "Duration of the break in minutes"
},
"availabilityType": {
"enum": [
"anytime",
"hours_worked",
"time_of_day"
],
"description": "When the break is available to be taken"
},
"availabilityMinHoursWorked": {
"type": "number",
"format": "float",
"description": "Minimum hours that must be worked before the break can be taken"
},
"availabilityMaxHoursWorked": {
"type": "number",
"format": "float",
"description": "Maximum hours that can be worked before the break must be taken"
},
"availabilityStartTime": {
"type": "string",
"format": "time",
"description": "Earliest time the break can be taken (HH:MM format)"
},
"availabilityEndTime": {
"type": "string",
"format": "time",
"description": "Latest time the break can be taken (HH:MM format)"
}
}
},
"description": "Collection of time tracking breaks to create or update without a policy"
}
},
"required": [
"PCID",
"id",
"body"
]
}
bamboohr_time_set_break_policy_employees
Set Employees for Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
employeeIds | integer[] | No | — | Array of employee IDs to assign to the break policy. Replaces all existing assignments. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of employee IDs to assign to the break policy. Replaces all existing assignments."
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_sync_break_policy
Sync Break Policy Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | string | Yes | — | The break policy ID. | |
allEmployeesAssigned | boolean | No | — | Whether all employees are assigned to this break policy | |
breaks | object[] | No | — | Collection of time tracking breaks to create or update without a policy | |
description | string | null | No | — | Optional description of the break policy |
employeeIds | integer[] | No | — | The employees that should be assigned to this policy | |
name | string | No | — | Name of the break policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"allEmployeesAssigned": {
"type": "boolean",
"description": "Whether all employees are assigned to this break policy"
},
"breaks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The unique identifier of the break. If not included, a new break will be created."
},
"name": {
"type": "string",
"description": "The name of the break"
},
"paid": {
"type": "boolean",
"description": "Whether the break is paid"
},
"duration": {
"type": "integer",
"description": "Duration of the break in minutes"
},
"availabilityType": {
"enum": [
"anytime",
"hours_worked",
"time_of_day"
],
"description": "When the break is available to be taken"
},
"availabilityMinHoursWorked": {
"type": "number",
"format": "float",
"description": "Minimum hours that must be worked before the break can be taken"
},
"availabilityMaxHoursWorked": {
"type": "number",
"format": "float",
"description": "Maximum hours that can be worked before the break must be taken"
},
"availabilityStartTime": {
"type": "string",
"format": "time",
"description": "Earliest time the break can be taken (HH:MM format)"
},
"availabilityEndTime": {
"type": "string",
"format": "time",
"description": "Latest time the break can be taken (HH:MM format)"
}
}
},
"description": "Collection of time tracking breaks to create or update without a policy"
},
"description": {
"type": [
"string",
"null"
],
"description": "Optional description of the break policy"
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "The employees that should be assigned to this policy"
},
"name": {
"type": "string",
"description": "Name of the break policy"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_unassign_employees_from_break_policy
Unassign Employees from Break Policy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The break policy ID. |
employeeIds | integer[] | Yes | — | Array of employee IDs to unassign from the break policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"employeeIds": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of employee IDs to unassign from the break policy"
}
},
"required": [
"PCID",
"id",
"employeeIds"
]
}
bamboohr_time_update_break
Update Break Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | string | Yes | — | The break ID. | |
availabilityEndTime | string | null | No | — | Latest time the break can be taken (HH:MM format) |
availabilityMaxHoursWorked | number | null | No | — | Maximum hours that can be worked before the break must be taken |
availabilityMinHoursWorked | number | null | No | — | Minimum hours that must be worked before the break can be taken |
availabilityStartTime | string | null | No | — | Earliest time the break can be taken (HH:MM format) |
availabilityType | object | No | — | When the break is available to be taken | |
duration | integer | No | — | Duration of the break in minutes | |
name | string | No | — | The name of the break | |
paid | boolean | No | — | Whether the break is paid | |
policyId | string | No | — | The unique identifier of the break policy this break belongs to |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break ID."
},
"availabilityEndTime": {
"type": [
"string",
"null"
],
"description": "Latest time the break can be taken (HH:MM format)"
},
"availabilityMaxHoursWorked": {
"type": [
"number",
"null"
],
"description": "Maximum hours that can be worked before the break must be taken"
},
"availabilityMinHoursWorked": {
"type": [
"number",
"null"
],
"description": "Minimum hours that must be worked before the break can be taken"
},
"availabilityStartTime": {
"type": [
"string",
"null"
],
"description": "Earliest time the break can be taken (HH:MM format)"
},
"availabilityType": {
"description": "When the break is available to be taken",
"enum": [
"anytime",
"hours_worked",
"time_of_day"
]
},
"duration": {
"type": "integer",
"description": "Duration of the break in minutes"
},
"name": {
"type": "string",
"description": "The name of the break"
},
"paid": {
"type": "boolean",
"description": "Whether the break is paid"
},
"policyId": {
"type": "string",
"description": "The unique identifier of the break policy this break belongs to"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_update_break_policy
Update Break Policy Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
id | string | Yes | — | The break policy ID. | |
allEmployeesAssigned | boolean | No | — | Whether all employees are assigned to this break policy | |
description | string | null | No | — | Optional description of the break policy |
name | string | No | — | Name of the break policy |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The break policy ID."
},
"allEmployeesAssigned": {
"type": "boolean",
"description": "Whether all employees are assigned to this break policy"
},
"description": {
"type": [
"string",
"null"
],
"description": "Optional description of the break policy"
},
"name": {
"type": "string",
"description": "Name of the break policy"
}
},
"required": [
"PCID",
"id"
]
}
bamboohr_time_update_time_off_request_status
Update Time Off Request Status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
requestId | integer | Yes | — | The ID of the time off request to update. |
note | string | No | — | A note to attach to the change in status. |
status | string | No | — | The new status for the time off request. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"requestId": {
"type": "integer",
"description": "The ID of the time off request to update."
},
"note": {
"type": "string",
"description": "A note to attach to the change in status."
},
"status": {
"type": "string",
"description": "The new status for the time off request.",
"enum": [
"approved",
"denied",
"declined",
"canceled",
"cancelled"
]
}
},
"required": [
"PCID",
"requestId"
]
}
bamboohr_time_update_time_tracking_record
Update Hour Record Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
holidayId | integer | null | No | — | ID of the holiday associated with this time tracking record |
hoursWorked | number | No | — | The updated number of hours worked. e.g. if Employee A worked 8.0 hours originally and decided they only worked 6.0, please send 6.0 here not -2.0. | |
projectId | integer | null | No | — | ID of the project associated with this time tracking record |
shiftDifferentialId | integer | null | No | — | ID of the shift differential associated with this time tracking record |
taskId | integer | null | No | — | ID of the task associated with this time tracking record |
timeTrackingId | string | No | — | The time tracking id is the id that was used to track the record up to 36 characters in length. (i.e. UUID). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"holidayId": {
"type": [
"integer",
"null"
],
"description": "ID of the holiday associated with this time tracking record"
},
"hoursWorked": {
"type": "number",
"description": "The updated number of hours worked. e.g. if Employee A worked 8.0 hours originally and decided they only worked 6.0, please send 6.0 here not -2.0."
},
"projectId": {
"type": [
"integer",
"null"
],
"description": "ID of the project associated with this time tracking record"
},
"shiftDifferentialId": {
"type": [
"integer",
"null"
],
"description": "ID of the shift differential associated with this time tracking record"
},
"taskId": {
"type": [
"integer",
"null"
],
"description": "ID of the task associated with this time tracking record"
},
"timeTrackingId": {
"type": "string",
"description": "The time tracking id is the id that was used to track the record up to 36 characters in length. (i.e. UUID)."
}
},
"required": [
"PCID"
]
}

